<template>
    <BreezeGuestLayout>
        <!-- <Head title="Welcome12w" /> -->
        <FrontendHead title="Welcome" />

        <section class="content-frontend">
            <div class="container-frontend">
                <div class="row">
                    <div class="col-lg-6">
                        <table class="styled-table-frontend">
                            <thead>
                                <tr>
                                    <th
                                        colspan="2"
                                        style="
                                            font-size: 35px;
                                            text-align: center;
                                        "
                                    >
                                        {{ legalProduct.name }}
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td class="infcat">Deskripsi</td>
                                    <td>
                                        {{ legalProduct.description }}
                                    </td>
                                </tr>
                                <tr>
                                    <td class="infcat">Nomor</td>
                                    <td>{{ legalProduct.no }}</td>
                                </tr>
                                <tr>
                                    <td class="infcat">Tahun</td>
                                    <td>{{ legalProduct.year }}</td>
                                </tr>
                                <tr>
                                    <td class="infcat">Nomor LN</td>
                                    <td>{{ legalProduct.no_ln }}</td>
                                </tr>
                                <tr>
                                    <td class="infcat">Nomor TLN</td>
                                    <td>{{ legalProduct.no_tln }}</td>
                                </tr>
                                <tr>
                                    <td class="infcat">Kategori Dokumen</td>
                                    <td>
                                        {{
                                            legalProduct.legal_product_category
                                                .name
                                        }}
                                    </td>
                                </tr>
                                <tr>
                                    <td class="infcat">Jenis</td>
                                    <td>
                                        {{
                                            legalProduct.legal_product_type.name
                                        }}
                                    </td>
                                </tr>
                                <tr>
                                    <td class="infcat">Tanggal Ditetapkan</td>
                                    <td>{{ legalProduct.date_set }}</td>
                                </tr>
                                <tr>
                                    <td class="infcat">Tanggal Diundangkan</td>
                                    <td>{{ legalProduct.invited_date }}</td>
                                </tr>
                                <tr>
                                    <td class="infcat">Download</td>
                                    <td>
                                        <Link
                                            :href="
                                                route('legal-detail-download', {
                                                    slug: legalProduct.slug,
                                                })
                                            "
                                            target="_blank"
                                            class="btn btn-outline-danger"
                                        >
                                            <img
                                                width="40"
                                                height="46"
                                                src="/images/pdf_icon.jpg"
                                                alt="Constra"
                                            />
                                        </Link>
                                    </td>
                                </tr>
                                <!-- and so on... -->
                            </tbody>
                        </table>

                        <div
                            class="timeline"
                            v-if="legalProduct.children.length > 0"
                        >
                            <div
                                class="timeline-row"
                                v-for="item in legalProduct.children"
                                :key="item.id"
                            >
                                <div class="timeline-time">
                                    {{ item.year }}
                                </div>
                                <div class="timeline-dot fb-bg"></div>
                                <div class="timeline-content">
                                    <h4>{{ item.name }}</h4>
                                    <p>
                                        {{ item.no }}
                                    </p>
                                    <p>
                                        {{ item.year }}
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </BreezeGuestLayout>
</template>

<script>
import BreezeGuestLayout from "@/Layouts/Guest.vue";
import { Head, Link } from "@inertiajs/inertia-vue3";
import FrontendHead from "@/Components/FrontendHead.vue";
import { defineComponent } from "vue";

export default defineComponent({
    props: ["legalProduct"],
    components: {
        Head,
        Link,
        FrontendHead,
        BreezeGuestLayout,
    },
    setup() {},
});
</script>

<style scoped>
body {
    margin-top: 20px;
    background: #eee;
}
.timeline {
    position: relative;
    padding: 10px;
    margin: 0 auto;
    overflow: hidden;
    color: #ffffff;
}

.timeline:after {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    margin-left: -1px;
    border-right: 2px dashed #c4d2e2;
    height: 100%;
    display: block;
}

.timeline-row {
    padding-left: 50%;
    position: relative;
    margin-bottom: 30px;
}

.timeline-row .timeline-time {
    position: absolute;
    right: 50%;
    top: 31px;
    text-align: right;
    margin-right: 20px;
    color: #000000;
    font-size: 1.5rem;
}

.timeline-row .timeline-time small {
    display: block;
    font-size: 0.8rem;
    color: #8796af;
}

.timeline-row .timeline-content {
    position: relative;
    padding: 20px 30px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
}

.timeline-row .timeline-content:after {
    content: "";
    position: absolute;
    top: 20px;
    height: 3px;
    width: 40px;
}

.timeline-row .timeline-content:before {
    content: "";
    position: absolute;
    top: 20px;
    right: -50px;
    width: 20px;
    height: 20px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
    z-index: 100;
    background: #ffffff;
    border: 2px dashed #c4d2e2;
}

.timeline-row .timeline-content h4 {
    margin: 0 0 20px 0;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    line-height: 150%;
}

.timeline-row .timeline-content p {
    margin-bottom: 30px;
    line-height: 150%;
}

.timeline-row .timeline-content i {
    font-size: 2rem;
    color: #ffffff;
    line-height: 100%;
    padding: 10px;
    border: 2px solid #ffffff;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
    margin-bottom: 10px;
    display: inline-block;
}

.timeline-row .timeline-content .thumbs {
    margin-bottom: 20px;
}

.timeline-row .timeline-content .thumbs img {
    margin-bottom: 10px;
}

.timeline-row:nth-child(even) .timeline-content {
    background-color: #ff5000;
    /* Fallback Color */
    background-image: -webkit-gradient(
        linear,
        left top,
        left bottom,
        from(#fc6d4c),
        to(#ff5000)
    );
    /* Saf4+, Chrome */
    background-image: -webkit-linear-gradient(top, #fc6d4c, #ff5000);
    /* Chrome 10+, Saf5.1+, iOS 5+ */
    background-image: -moz-linear-gradient(top, #fc6d4c, #ff5000);
    /* FF3.6 */
    background-image: -ms-linear-gradient(top, #fc6d4c, #ff5000);
    /* IE10 */
    background-image: -o-linear-gradient(top, #fc6d4c, #ff5000);
    /* Opera 11.10+ */
    background-image: linear-gradient(top, #fc6d4c, #ff5000);
    margin-left: 40px;
    text-align: left;
}

.timeline-row:nth-child(even) .timeline-content:after {
    left: -39px;
    border-right: 18px solid #ff5000;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
}

.timeline-row:nth-child(even) .timeline-content:before {
    left: -50px;
    right: initial;
}

.timeline:before {
    content: "";
    position: absolute;
    top: 5 px;
    bottom: 5 px;
    width: 5 px;
    background: none;
    left: 20%;
    margin-left: -2.5 px;
}

.timeline-row:nth-child(odd) {
    padding-left: 0;
    padding-right: 50%;
}

.timeline-row:nth-child(odd) .timeline-time {
    right: auto;
    left: 50%;
    text-align: left;
    margin-right: 0;
    margin-left: 20px;
}

.timeline-row:nth-child(odd) .timeline-content {
    background-color: #5a99ee;
    /* Fallback Color */
    background-image: -webkit-gradient(
        linear,
        left top,
        left bottom,
        from(#1379bb),
        to(#5a99ee)
    );
    /* Saf4+, Chrome */
    background-image: -webkit-linear-gradient(top, #1379bb, #5a99ee);
    /* Chrome 10+, Saf5.1+, iOS 5+ */
    background-image: -moz-linear-gradient(top, #1379bb, #5a99ee);
    /* FF3.6 */
    background-image: -ms-linear-gradient(top, #1379bb, #5a99ee);
    /* IE10 */
    background-image: -o-linear-gradient(top, #1379bb, #5a99ee);
    /* Opera 11.10+ */
    background-image: linear-gradient(top, #1379bb, #5a99ee);
    margin-right: 40px;
    margin-left: 0;
    text-align: right;
}

.timeline-row:nth-child(odd) .timeline-content:after {
    right: -39px;
    border-left: 18px solid #1379bb;
    border-top: 10px solid transparent;
    border-bottom: 10px solid transparent;
}

@media (max-width: 767px) {
    .timeline {
        padding: 15px 10px;
    }
    .timeline:after {
        left: 28px;
    }
    .timeline .timeline-row {
        padding-left: 0;
        margin-bottom: 16px;
    }
    .timeline .timeline-row .timeline-time {
        position: relative;
        right: auto;
        top: 0;
        text-align: left;
        margin: 0 0 6px 56px;
    }
    .timeline .timeline-row .timeline-time strong {
        display: inline-block;
        margin-right: 10px;
    }
    .timeline .timeline-row .timeline-icon {
        top: 52px;
        left: -2px;
        margin-left: 0;
    }
    .timeline .timeline-row .timeline-content {
        padding: 15px;
        margin-left: 56px;
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
        position: relative;
    }
    .timeline .timeline-row .timeline-content:after {
        right: auto;
        left: -39px;
        top: 32px;
    }
    .timeline .timeline-row:nth-child(odd) {
        padding-right: 0;
    }
    .timeline .timeline-row:nth-child(odd) .timeline-time {
        position: relative;
        right: auto;
        left: auto;
        top: 0;
        text-align: left;
        margin: 0 0 6px 56px;
    }
    .timeline .timeline-row:nth-child(odd) .timeline-content {
        margin-right: 0;
        margin-left: 55px;
    }
    .timeline .timeline-row:nth-child(odd) .timeline-content:after {
        right: auto;
        left: -39px;
        top: 32px;
        border-right: 18px solid #5a99ee;
        border-left: inherit;
    }
    .timeline.animated .timeline-row:nth-child(odd) .timeline-content {
        left: 20px;
    }
    .timeline.animated .timeline-row.active:nth-child(odd) .timeline-content {
        left: 0;
    }
}
</style>
